Access Restriction Bypass Affecting istio.io/istio/pilot/pkg/networking/core/v1alpha3 Open this link in a new tab package, versions >=1.9.0 <1.9.5 <1.8.6


0.0
high
  • Attack Complexity

    Low

  • Scope

    Changed

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-GOLANG-ISTIOIOISTIOPILOTPKGNETWORKINGCOREV1ALPHA3-1299106

  • published

    3 Jun 2021

  • disclosed

    3 Jun 2021

  • credit

    John Howard of Google

How to fix?

Upgrade istio.io/istio/pilot/pkg/networking/core/v1alpha3 to version 1.9.5, 1.8.6 or higher.

Overview

Affected versions of this package are vulnerable to Access Restriction Bypass. When a gateway is using the AUTO_PASSTHROUGH routing configuration, attackers can bypass authorization checks and access unexpected services in the cluster.

This vulnerability only impacts usage of the AUTO_PASSTHROUGH Gateway type, which is typically only used in multi-network multi-cluster deployments. See the Istio advisory for more information on triaging the impact of this vulnerability.